Expo Updates SDK34 Error

After updating my app from SDK32 to SDK34 I have encountered one issue that involves the Expo Updates package, I installed expo install expo-updates but whenever I try to use it I get an issue that says 'While trying to resolve module ‘expo-updates’ blah blah, the package.json was successfully found however this package itself contains a main module field that cannot be resolved…

Looking at the package.json in node_modules/expo-updates it lists a main field that says "“main”: “build/index.js” this path doesn’t exist anywhere in the folder though. I dont know if the expo-updates package is messed up or if there is a fix for this… Every other expo install I ran and set up worked perfectly but for whatever reason the expo-updates package isn’t working for me.

Hey @cbanfiel,

The expo-updates module should not be used yet as it’s still a WIP. https://docs.expo.io/versions/v34.0.0/sdk/updates/ For now you should be importing it from the Expo package. Can you let me know where you saw a reference to expo-updates?

Cheers,
Adam